Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 181679 - anaconda freezes PC when switching windows
Summary: anaconda freezes PC when switching windows
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drivers
Version: rawhide
Hardware: i686
OS: Linux
medium
high
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: FC5Target
TreeView+ depends on / blocked
 
Reported: 2006-02-15 20:50 UTC by Jason
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-03-07 01:46:31 UTC


Attachments (Terms of Use)
this config causes the PC to freeze (deleted)
2006-02-16 15:16 UTC, Jason
no flags Details
this config does not cause the PC to freeze but is unusable (deleted)
2006-02-16 15:17 UTC, Jason
no flags Details
perfect working xorg.conf (deleted)
2006-02-16 15:18 UTC, Jason
no flags Details
causes PC to freeze (deleted)
2006-02-20 18:18 UTC, Jason
no flags Details
does not cause PC to freeze but is not usable (deleted)
2006-02-20 18:19 UTC, Jason
no flags Details
perfect working xorg.conf (deleted)
2006-02-20 18:20 UTC, Jason
no flags Details

Description Jason 2006-02-15 20:50:35 UTC
Description of problem:
I can cause my PC to freeze when I switch between the terminals during an
install of rawhide.  I downloaded todays boot.iso and booted from it.  I started
the install, selected the packages I wanted, and clicked next.  I then switched
to the F5 terminal, then F4, then F3, then F2, then F1, then F2, then F3, then
F4, then F5, then F7, and freeze.  I have a Number Nine Revolution IV video card
with 32MB ram and a SGI 1600SW LCD monitor.

Version-Release number of selected component (if applicable):
todays boot.iso

How reproducible:
switch windows many times.

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Jason 2006-02-16 15:14:11 UTC
The freeze seems to happen becuase of the XConfig.test file that generates is
not right.  I will attach three files to this bug.  One will be a file that when
used will cause the PC to freeze.  The other will be a file that when used will
not cause the PC to freeze but is unusable (the screen goes black with white
lines every quarter of an inch).  The third file is a xorg.conf that works great.

Comment 2 Jason 2006-02-16 15:16:46 UTC
Created attachment 124755 [details]
this config causes the PC to freeze

Comment 3 Jason 2006-02-16 15:17:26 UTC
Created attachment 124756 [details]
this config does not cause the PC to freeze but is unusable

Comment 4 Jason 2006-02-16 15:18:13 UTC
Created attachment 124757 [details]
perfect working xorg.conf

Comment 5 Jason 2006-02-16 15:21:22 UTC
the file in Comment 2 is what is generated by the system.

the file in Comment 3 is what is generated by the system if I boot from the
boot.iso CD and type in linux resolution=1600x1024.  The installer starts X but
is unusable (black screen with white lines).

Comment 6 Mike A. Harris 2006-02-20 12:21:02 UTC
The file attachments are unreadable when I click on them.  Perhaps you didn't
attach them as type text/plain?  If so, you can change that in the edit menu.

Thanks in advance.

Comment 7 Jason 2006-02-20 18:18:21 UTC
Created attachment 124892 [details]
causes PC to freeze

Comment 8 Jason 2006-02-20 18:19:20 UTC
Created attachment 124893 [details]
does not cause PC to freeze but is not usable

Comment 9 Jason 2006-02-20 18:20:06 UTC
Created attachment 124894 [details]
perfect working xorg.conf

Comment 10 Jason 2006-02-20 18:20:52 UTC
I have reattached the files.  Can you view these files?

Comment 13 Mike A. Harris 2006-03-07 01:46:31 UTC
Our config tools have been updated to detect SGI 1600SW and our X server
has the custom mode lines for this monitor now built into it.  We do not
have this hardware or any way of directly testing it however, but hopefully
it will work in FC5 final now.




Note You need to log in before you can comment on or make changes to this bug.